<template>
  <q-tabs
    v-model="tab"
    shrink
    stretch
    dense
    active-class="text-white"
    class="text-white header-tabs"
  >
    <q-tab
      v-if="activeHoldingCampaign"
      name="home"
      key="home"
      no-caps
      @click="$router.push({ name: 'home' })"
      icon="la la-home"
      :style="qTabStyle('home')"
      :class="qTabClass('home')"
    >
      <translate>Home</translate>
    </q-tab>

    <q-tab
      name="holdings"
      key="holdings"
      no-caps
      @click="$router.push({ name: 'holdings' })"
      icon="la la-sitemap"
      :style="qTabStyle('holdings')"
      :class="qTabClass('holdings')"
    >
      <translate>Farms</translate>
    </q-tab>

    <q-tab
      v-if="activeHoldingCampaign"
      name="holdingCampaign"
      key="holdingCampaign"
      no-caps
      @click="$router.push({ name: 'holdingCampaign' })"
      icon="la la-map"
      :style="qTabStyle('holdingCampaign')"
      :class="qTabClass('holdingCampaign')"
    >
      <translate>Campaign</translate>
    </q-tab>

    <q-tab
      v-if="activeHoldingCampaign"
      name="fieldbook"
      key="fieldbook"
      no-caps
      @click="$router.push({ name: 'fieldbook' })"
      :style="qTabStyle('fieldbook')"
      :class="qTabClass('fieldbook')"
    >
      <img
        src="/images/logo/fast-farmer-app.svg"
        style="width: 24px; height: 24px; padding: 2px"
        @click="$router.push({ name: 'fieldbook' })"
      >
      <translate>Services</translate>
    </q-tab>

    <q-tab
      v-if="canDisplayGeotaggedPhoto && activeHoldingCampaign"
      name="photos"
      key="photos"
      no-caps
      @click="$router.push({ name: 'photos' })"
      icon="la la-camera"
      :style="qTabStyle('photos')"
      :class="qTabClass('photos')"
    >
      <translate>Photos</translate>
    </q-tab>

    <q-tab
      v-if="activeHoldingCampaign"
      name="addOns"
      key="addOns"
      no-caps
      @click="$router.push({ name: 'addOns' })"
      icon="la la-plus"
      :style="qTabStyle('addOns')"
      :class="qTabClass('addOns')"
    >
      <translate>Add-ons</translate>
    </q-tab>
  </q-tabs>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'
import featureFlags from 'src/services/feature-flags'

export default {
  name: 'NavigationTabsDesktop',
  mixins: [PlatformMixin],
  computed: {
    tab: {
      get () {
        return this.$route.meta
          ? this.$route.meta.footerGroupName || this.$route.name
          : this.$route.name
      },
      set (/* v */) {
        // do nothing since the truth lies in the router
        // a 'set' function is still needed to avoid error message due to the 'v-model' that sets value
      }
    },
    activeHoldingCampaign () {
      return this?.$store?.state?.fastplatform?.holdingCampaign?.holding?.id
    },
    canDisplayGeotaggedPhoto () {
      return featureFlags.canDisplayGeotaggedPhoto()
    }
  },
  methods: {
    qTabStyle (tabName) {
      return this.$route.meta.footerGroupName === tabName
        ? 'width: auto; opacity: 1;'
        : 'width: auto; opacity: 0.8;'
    },
    qTabClass (tabName) {
      return this.$route.meta.footerGroupName === tabName
        ? 'text-bold'
        : ''
    }
  }
}
</script>
